﻿using System;
using System.Diagnostics;
using System.Net;

namespace DhcpServer.Models
{
    [DebuggerDisplay("{" + nameof(Address) + "}")]
    public class PoolSlot
    {
        public PoolSlot(IPAddress address)
        {
            Address = address;
        }

        public IPAddress Address { get; }

        public DateTime? LastConfirm { get; set; }

        public string Mac { get; set; }

        public string MacStatus { get; set; }

        public string HostName { get; set; }

        public string HostNameStatus { get; set; }
    }
}
